<?php
/*
*
* Blog Carousel 
*
*/ 

vc_map(
	array(
		'base'        => 'blog_carousel',
		'name'        => __( 'Blog Carousel','rt_theme' ),
		'icon'        => 'rt_theme carousel',
		'category'    => array(__( 'Content','rt_theme' ), __( 'Theme Addons','rt_theme' )),
		'description' => __( 'Displays blog posts within a carousel','rt_theme' ),
		'params'      => array(

 
							array(
								'param_name'  => 'id',
								'heading'     => __('ID','rt_theme' ),
								'description' => __('Unique ID','rt_theme' ),
								'type'        => 'textfield',
								'value'       => ''
							),

							array(
								'param_name'  => 'list_layout',
								'heading'     => __( 'Layout','rt_theme' ),
								"description" => __("Column width of an item. Percent of the visible part.",'rt_theme'),
								'type'        => 'dropdown',
								"value"       => array(
													"1/6" => "1/6", 
													"1/5" => "1/5", 
													"1/4" => "1/4",
													"1/3" => "1/3",
													"1/2" => "1/2",
													"1/1" => "1/1"
												),
								'save_always' => true
							),
 
							array(
								'param_name'  => 'tablet_layout',
								'heading'     => __( 'Carousel Layout (Tablet)','rt_theme' ),
								"description" => __("Visible image count for each slide on medium screens.",'rt_theme'),
								'type'        => 'dropdown',
								"value"       => array(
													__("Default","rt_theme") => "",
													"1/1" => "1",
													"1/2" => "2",													
													"1/3" => "3",													
													"1/4" => "4",													
													"1/5" => "5",													
													"1/6" => "6"	
												),
							),


 							array(
								'param_name'  => 'mobile_layout',
								'heading'     => __( 'Carousel Layout (Mobile)','rt_theme' ),
								"description" => __("Visible image count for each slide on small screens.",'rt_theme'),
								'type'        => 'dropdown',
								"value"       => array(
													__("Default","rt_theme") => "",
													"1/1" => "1",
													"1/2" => "2",													
													"1/3" => "3",													
													"1/4" => "4",													
													"1/5" => "5",													
													"1/6" => "6"	
												),
							),

							array(
								'param_name'  => 'max_item',
								'heading'     => __('Amount of item to display','rt_theme' ),
								'type'        => 'rt_number',
								'value'       => '10',
								'save_always' => true
							),


							array(
								'param_name'  => 'excerpt_length',
								'heading'     => __('Excerpt Length','rt_theme' ),
								'type'        => 'rt_number',
								'value'       => '100',
								'save_always' => true
							),

							array(
								'param_name'  => 'nav',
								'heading'     => __( 'Navigation Arrows','rt_theme' ),
								'type'        => 'dropdown',
								"value"       => array(
													__("Enabled","rt_theme") => "true", 
													__("Disabled","rt_theme") => "false"													
												),
												'save_always' => true						
							),

							array(
								'param_name'  => 'dots',
								'heading'     => __( 'Navigation Dots','rt_theme' ),
								'type'        => 'dropdown',
								"value"       => array(
													__("Enabled","rt_theme") => "true", 
													__("Disabled","rt_theme") => "false"												
												),
												'save_always' => true						
							),

							array(
								'param_name'  => 'autoplay',
								'heading'     => __( 'Auto Play','rt_theme' ),
								'type'        => 'dropdown',
								"value"       => array(												
													__("Disabled","rt_theme") => "false",
													__("Enabled","rt_theme") => "true"
												),
												'save_always' => true						
							),

							array(
								'param_name'  => 'timeout',
								'heading'     => __('Auto Play Speed (ms)','rt_theme' ),
								'type'        => 'rt_number',
								'value'       => "",
								"description" => __("Auto play speed value in milliseconds. For example; set 5000 for 5 seconds",'rt_theme'),
								"dependency"  => array(
													"element" => "autoplay",
													"value" => array("true")
												),
								'save_always' => true
							),

							array(
								'param_name'  => 'list_orderby',
								'heading'     => __( 'List Order By','rt_theme' ),
								"description" => __("Sorts the posts by this parameter",'rt_theme'),
								'type'        => 'dropdown',
								"value"       => array(
													__('Date','rt_theme') => 'date',
													__('Author','rt_theme') => 'author',
													__('Title','rt_theme') => 'title',
													__('Modified','rt_theme') => 'modified',
													__('ID','rt_theme') => 'ID',
													__('Randomized','rt_theme') => 'rand',
												),
								'save_always' => true
							),

							array(
								'param_name'  => 'list_order',
								'heading'     => __( 'List Order','rt_theme' ),
								"description" => __("Designates the ascending or descending order of the list_orderby parameter",'rt_theme'),
								'type'        => 'dropdown',
								"value"       => array(
													__('Descending','rt_theme') => 'DESC',
													__('Ascending','rt_theme') => 'ASC',
												),
								'save_always' => true
							),


							array(
								'param_name'  => 'categories',
								'heading'     => __( 'Categories','rt_theme' ),
								"description" => __("List posts of selected categories only.",'rt_theme'),
								'type'        => 'dropdown_multi',
								"value"       => array_merge(array(__('All Categories','rt_theme')=>""),array_flip(rt_get_categories())),
								'save_always' => true
							),


							/* Post Meta */
							array(
								'param_name'  => 'show_date',
								'heading'     => __("Display Date",'rt_theme'),
								'type'        => 'dropdown',
								"value"       => array(
													__('Yes','rt_theme') => 'true',
													__('No','rt_theme') => 'false',
												),
								'group'       => __('Post Meta','rt_theme'),
								'save_always' => true
							),

							array(
								'param_name'  => 'show_author',
								'heading'     => __("Display Post Author",'rt_theme'),
								'type'        => 'dropdown',
								"value"       => array(
													__('Yes','rt_theme') => 'true',
													__('No','rt_theme') => 'false',
												),
								'group'       => __('Post Meta','rt_theme'),
								'save_always' => true
							),

							array(
								'param_name'  => 'show_categories',
								'heading'     => __("Display Categories",'rt_theme'),
								'type'        => 'dropdown',
								"value"       => array(
													__('Yes','rt_theme') => 'true',
													__('No','rt_theme') => 'false',
												),
								'group'       => __('Post Meta','rt_theme'),
								'save_always' => true
							),

							array(
								'param_name'  => 'show_comment_numbers',
								'heading'     => __("Display Comment Numbers",'rt_theme'),
								'type'        => 'dropdown',
								"value"       => array(
													__('Yes','rt_theme') => 'true',
													__('No','rt_theme') => 'false',
												),
								'group'       => __('Post Meta','rt_theme'),
								'save_always' => true
							),


							/* Featured Images */
							array(
								'param_name'  => 'featured_image_resize',
								'heading'     => __( 'Resize Featured Images','rt_theme' ),
								'description' => __('Enable "Image Resize" to resize or crop the featured images automatically. These settings will be overwrite the global settings. Please note, since the theme is reponsive the images cannot be wider than the column they are in. Leave values "0" to use theme defaults.','rt_theme' ),
								'type'        => 'dropdown',
								"value"       => array(
													__("Enabled","rt_theme") => "true",
													__("Disabled","rt_theme") => "false"
												),
								'group' => __('Featured Images','rt_theme'),
								'save_always' => true
							),

							array(
								'param_name'  => 'featured_image_max_width',
								'heading'     => __('Featured Image Max Width','rt_theme' ),
								'type'        => 'textfield',
								'value'       => 0,
								"dependency"  => array(
													"element" => "featured_image_resize",
													"value" => array("true")
												),
								'group' => __('Featured Images','rt_theme'),
								'save_always' => true
							),

							array(
								'param_name'  => 'featured_image_max_height',
								'heading'     => __('Featured Image Max Height','rt_theme' ),
								'type'        => 'textfield',
								'value'       => 0,
								"dependency"  => array(
													"element" => "featured_image_resize",
													"value" => array("true")
												),
								'group' => __('Featured Images','rt_theme'),
								'save_always' => true
							),

							array(
								'param_name'  => 'featured_image_crop',
								'heading'     => __( 'Crop Featured Images','rt_theme' ),
								'type'        => 'dropdown',
								"value"       => array(
													__("Disabled","rt_theme") => "false",
													__("Enabled","rt_theme") => "true"
												),
								"dependency"  => array(
													"element" => "featured_image_resize",
													"value" => array("true")
												),								
								'group' => __('Featured Images','rt_theme'),
								'save_always' => true
							),
			
						)
	)
);	

?>