<?php
#-----------------------------------------
#	RT-Theme portfolio_custom_fields.php
#	version: 1.0
#-----------------------------------------

#
# 	Portfolio Custom Fields
#

/**
* @var  array  $customFields  Defines the custom fields available
*/

$customFields = array(
 
				array(
					"title"       => __("Portfolio Format",'rt_theme'),  
					"description" => __('The Portfolio Format Option : The Portfolio item can be set to the type : <br /></br />1) <strong>Image</strong> : Display Image(s) as gallery or slider,<br />2) <strong>Video</strong> : Show and Play a Video,<br />3) <strong>Audio</strong> : Show and Play a Audio file.<br /><br /><strong>Note : </strong>A placeholder image can be attached for the video and audio item.','rt_theme'),				
					"name"        => "_portfolio_post_format",
					"options"     =>  array(
										"image" => "Image",
										"video" => "Video",
										"audio" => "Audio" ),
					"type"       => "radio" 
				), 


  				array(
					"name" => "_image_format_options",
					"type" => "group_start"
				),


					array(
						"title" => __("IMAGE FORMAT OPTIONS",'rt_theme'), 
						"type"  => "heading"
					),


	 				array(
						"description" => __('Image format options. Image format portfolio item can have more then one image attached to it. Default the attached images will be shown in a slider. It can be changed to type gallery in which case a image gallery is shown. If there is only one image the slideshow and gallery display options will be ignored and the featured image will be displayed.','rt_theme'),					
						"type"        => "info_text_only",
						"hr"          => "true",
					), 

 					
					array(
						"title"       => __("Usage of Image Gallery",'rt_theme'), 
						"description" => __('The "Usage of Image Gallery" option can be set to alter the behaviour of the Gallery in the Single Portfolio Item. <strong>There are two choices:</strong><br /><br />1) <strong>Display Gallery as Slideshow</strong> <br />2) <strong>Display Gallery as Photo-Gallery</strong><br /><br /><strong>Note</strong> : In order to have the slider or gallery function to work there needs to be more then one (1) image attached to the "Image Gallery Box".','rt_theme'),
						"name"        => "_featured_image_usage",
						"options"     =>  array(
												"slider"  => "Display the Gallery Images as a Slideshow", 
												"gallery" => "Display the Gallery Images as a Photo Gallery"
										),
						"type"        => "select", 
					),


					array(
						"title"      => __("Photo Gallery Layout",'rt_theme'),
						"desc"       => __("Select a layout for the photo gallery",'rt_theme'),
						"name"       => "_gallery_layout",
						"options"    =>  array(
										"1/6" => "1/6", 
										"1/4" => "1/4",
										"1/3" => "1/3",
										"1/2" => "1/2",
										"1/1" => "1/1"
								  	),			
						"default"    => "1/4", 
						"hr"         => true,
						"type"       => "select",
						"dependency" => array(
											"element" => "rttheme_featured_image_usage",
											"value" => array("gallery")
										),								
						),


					array(
						"title"       => __("Crop Gallery Images",'rt_theme'),
						"name"        => "image_crop",
						"description" => __('Check to crop the images. If this option checked, Images will automatically cropped in the slideshow or the gallery to be displaying at the same height.','rt_theme'),
						"default"     => "",
						"type"        => "checkbox"
					),					

					array(
						"title"       => __("Maximum Image Height (For Cropping)",'rt_theme'),
						"description" => __('<strong>Maximum Image Height (px)</strong> : Set the maximum height in pixels for the portfolio images inside the gallery or slideshow. You can drag the horizontal (scroll) bar to the left or right to decrease or increase the height value or you can directly input the height value into the text field.<br /><br /><strong>Note</strong> : The &#39;Crop Images&#39; option must be enabled to use this option.','rt_theme'),
						"name"        => "portfolio_max_image_height",
						"min"         =>"60",
						"max"         =>"800",
						"default"     =>"400",
						"type"        => "rangeinput"
					),


				array(
					"type" => "group_end"
				),


  				array(
					"name" => "_video_format_options",
					"type" => "group_start"
				),

					array(
						"title" => __("VIDEO FORMAT OPTIONS",'rt_theme'), 
						"type"  => "heading"
					),
	 

					array(
						"name"        => "_portfolio_video_m4v",
						"title"       => __("MP4 File URL",'rt_theme'), 
						"description" => __("MP4 File URL : Supply a correct full URL to the mp4 video file. Example : http://yourwebsite.com/uploads/video/the-video-file.mp4",'rt_theme'),											
						"type"        => "upload", 
					),

					array(
						"name"        => "_portfolio_video_webm",
						"title"       => __("WEBM File URL",'rt_theme'),
						"description" => __("WEBM File URL : Supply a correct full URL to the WEBM video file. Example : http://yourwebsite.com/uploads/video/the-video-file.webm<br /><br /><strong>Note :</strong>The WEBM file will act as a fallback video when the mp4 format is not supported, which can happen in some browsers. The file must be uploaded and located in the same folder with the same name as the mp4 file but with its own file extention (.webm).",'rt_theme'),											
						"type"        => "upload", 
					),

					array(
						"name"        => "_video_poster_img",
						"title"       => __("Poster Image URL",'rt_theme'), 
						"description" => __("Poster image for the video. If this field is empty the featured image will be used as a poster image",'rt_theme'),
						"type"        => "upload", 
					),

					array(
						"title" => __("OR",'rt_theme'), 
						"type"  => "heading"
					),

					array(
						"name"        => "_portfolio_video",
						"title"       => __("External Video URL | YouTube or Vimeo",'rt_theme'),
						"description" => __("External Video URL | YouTube or Vimeo : Supply a correct full URL to the video file. Example : <br /><br />For <strong>Youtube</strong> use : http://www.youtube.com/watch?v=odBffheAoyc<br />For <strong>Vimeo</strong> use :  http://vimeo.com/50125675<br /><br /><strong>Note : </strong>Supply only the URL and do NOT include the embed code as these will be added automatically by the theme itself.",'rt_theme'),																	
						"type"        => "text", 
					),
	


  				array(
					"type" => "group_end"
				),

				array(
					"name" => "_audio_format_options",
					"type" => "group_start"
				),


					array(
						"title" => __("AUDIO FORMAT OPTIONS",'rt_theme'), 
						"type"  => "heading"
					),

					array(
						"name"        => "_portfolio_audio_mp3",
						"title"       => __("MP3 File URL",'rt_theme'),
						"description" => __("MP3 File URL : Supply a correct full URL to the mp3 audio file. Example : http://yourwebsite.com/uploads/mp3/the-mp3-audio-file.mp3",'rt_theme'),					
						"type"        => "upload", 
					),

					array(
						"name"        => "_portfolio_audio_oga",
						"title"       => __("OGG File URL ",'rt_theme'),
						"description" => __("OGG File URL : Supply a correct full URL to the OGG audio file. Example : http://yourwebsite.com/uploads/ogg/the-ogg-audio-file.ogg",'rt_theme'),											
						"type"        => "upload", 
					), 

  				array(
					"type" => "group_end"
				),

				array(
					"title" => __("SINGLE PORTFOLIO PAGE RELATED OPTIONS",'rt_theme'),
					"type"  => "heading"
				),

				array(
					"title"       => __("Hide the Featured Image in the Single Post Page",'rt_theme'),
					"name"        => "_hide_featured_image_single_page",
					"description" => __('By default the featured image will be displayed as a first item in a single portfolio page formats. You can remove it be checking this option.','rt_theme'),
					"default"     => "", 
					"hr"          => "true",
					"type"        => "checkbox",
				),	

				array(
					"title"       => __("Display the Featured Media (Video, Audio or Image Gallery) in a Fullwidth Row. ",'rt_theme'),
					"name"        => "_portfolio_featured_media_width",
					"description" => __('If you created the portfolio content by using the Visual Composer, you can check this field to display the added featured media in a full width row.','rt_theme'),
					"default"     => "", 
					"type"        => "checkbox"
				),

  				array(
					"title" => __("MISCELLANEOUS OPTIONS",'rt_theme'), 
					"type"  => "heading"
				),

				array(
					"name"        => "_portfolio_desc",
					"title"       => __("Short Description",'rt_theme'),
					"description" => "Enter a 'Short Description' for this portfolio item. The 'Short Description' will only be visible in the Portfolio Listing Pages and will replace the default excerpt which the theme creates about the portfolio post when no 'Short Description' has been supplied. This way you can control the content in the Portfolio Listing Pages and create you own so called 'Teasers'.", 
					"type"        => "textarea",
					"hr"          => true,
				),

				array(
					"name"        => "_portf_no_detail",
					"title"       => __("Remove link(s) to Post Details",'rt_theme'),
					"description" => __("Check this option to disable the linking to the Single Portfolio Item in the Portfolio Listing Pages.",'rt_theme'),
					"type"        => "checkbox",
					"hr"          => true,
				),

				array(
					"name"        => "_disable_lightbox",
					"title"       => __("Disable Lightbox in Listing Pages",'rt_theme'),
					"description" => __("Check this option to disable the lightbox popup feature for the attached image in Portfolio Listing Pages and link the image directly to the Single Portfolio Page. <br /><br /><strong>Note : </strong>Make sure that 'Remove link(s) to Post Details' option is <strong>not enabled</strong> as that will block the working of this 'Disable Lightbox in Listing Pages' setting.",'rt_theme'),
					"type"        => "checkbox",
					"hr"          => "true",
					"hr"          => true,
				),

				array(
					"name"        => "_external_link",
					"title"       => __("External Link",'rt_theme'),
					"description" => __("Set a (external) link in order to link the thumbnail image to that URL in the Portfolio Listing Pages.",'rt_theme'),
					"type"        => "text"
				),

				array(
					"name"        => "_open_in_new_tab",
					"title"       => __("Open External Link in a New Tab",'rt_theme'),
					"description" => __("If this option is set, the (external) link (URL) as set in the previous option will open in a new browser tab.",'rt_theme'),
					"type"        => "checkbox" 
				),

				array(
					"title"       => __("Masonry View",'rt_theme'), 
					"description" => __('Set the column width of the element when displaying in a masonry layout','rt_theme'),
					"name"        => "_masonry_view",
					"options"     =>  array(
											"same"   => __("Same Width",'rt_theme'), 
											"double" => __("Double Width",'rt_theme'), 
									),
					"type"        => "select", 
				),

);


$settings  = array( 
	"name"       => __("Portfolio Options",'rt_theme'),
	"scope"      => "portfolio",
	"slug"       => "portfolio_cutom_fields",
	"capability" => "edit_post",
	"context"    => "normal",
	"priority"   => "core" 
);

$rt_post_custom_fields = new rt_meta_boxes($settings,$customFields);

$customFields = array(

	array(
		"description" => __("These options are only for listing pages. Select the 'Customize for this post' option below to overwite the global portfolio settings for this post only.",'rt_theme'),					
		"type"        => "info_text_only",
		"hr"          => true
	),

	array(	 
		"type"      => "div_start",
		"div_class" => "options_set_holder featured_image_custom_settings",
	),	  	

	array(
		"title"   => __("Customize Featured Image Settings",'rt_theme'),
		"desc"    => __('Select and set to use the global settings or customize the cropping and dimension settings for this post.','rt_theme'),
		"name"    =>  "_featured_image_settings", 
		"options" =>  array(
			"default" => __("Use the global settings","rt_theme"), 
			"new"     => __("Customize for this post","rt_theme"),
			), 
		"type"  => "select", 
		"class" => "div_controller",
	),	 

		array( 
			"div_class" => "hidden_options_set",
			"type"      => "div_start",
		),

			array(
				"title"         => __("Resize Featured Resize",'rt_theme'),
				"name"          =>  "_portfolio_image_resize", 
				"options"       =>  array(
					"true"      => __("Enabled","rt_theme"), 
					"false"     => __("Disabled","rt_theme"),
					), 
				"type"          => "select"
			),	  

			array(
				"title"       => __("Featured Image Max Width",'rt_theme'),
				"name"        => "_portfolio_image_width",
				"description" => __("The featured image will resize to fit the post content area automatically. If you do not want to use the default settings then in here you can set a maximum width for the featured image and alter the look/size of the image in the Blog Listing Page or Single Post Page. <strong>Leave it set to \"0\" to use the theme default scaling of the image which will keep the aspect ratio.</strong> ",'rt_theme'),
				"min"         => "0",
				"max"         => "2000",
				"default"     => "",
				"type"        => "rangeinput",
				"dependency"  => array( "element" => "rttheme_portfolio_image_resize", "value" => array("true") ),
			),

			array(
				"title"       => __("Featured Image Max Height",'rt_theme'),
				"name"        => "_portfolio_image_height",
				"description" => __("The featured image will resize to fit the post content area automatically. If you do not want to use the default settings then in here you can set a maximum height for the featured image and alter the look/size of the image in the Blog Listing Page or Single Post Page. <strong>Leave it set to \"0\" to use the theme default scaling of the image which will keep the aspect ratio.</strong> ",'rt_theme'),
				"min"         => "0",
				"max"         => "2000",
				"default"     => "",
				"type"        => "rangeinput",
				"dependency"  => array( "element" => "rttheme_portfolio_image_resize", "value" => array("true") ),
			),
			 
			array(
				"title"       => __("Crop Featured Image.",'rt_theme'),
				"name"        => "_portfolio_image_crop",
				"description" => __('By turning "ON" the cropping option the featured image will be cropped according to the height and width values above.','rt_theme'),
				"default"     => "",
				"type"        => "checkbox",
				"dependency"  => array( "element" => "rttheme_portfolio_image_resize", "value" => array("true") ),
			),

		array(	 
			"type"    => "div_end"
		),		

	array(	 
		"type"    => "div_end"
	),		

);

$settings  = array( 
	"name"       => __("Featured Image Options",'rt_theme'),
	"scope"      => array('portfolio'),
	"slug"       => "rt_featured_image_custom_fields",
	"capability" => "edit_page",
	"context"    => "normal",
	"priority"   => "core" 
);

$rt_portfolio_custom_fields = new rt_meta_boxes($settings,$customFields); 