<?php
#-----------------------------------------
#	RT-Theme loading.php
#	version: 1.0
#-----------------------------------------

#
# 	Load the theme
#

class RTTheme{
 
	//Available Social Media Icons
	public $rt_social_media_icons=array(  
			"RSS"             => "rss", 
			"Email"           => "mail", 
			"X"               => "twitter", 
			"Facebook"        => "facebook", 
			"Flickr"          => "flickr", 
			"Google +"        => "gplus", 
			"Pinterest"       => "pinterest", 
			"Tumblr"          => "tumblr", 
			"Linkedin"        => "linkedin", 
			"Dribbble"        => "dribbble", 
			"Skype"           => "skype", 
			"Behance"         => "behance", 
			"Github"          => "github", 
			"Vimeo"           => "vimeo", 
			"StumbleUpon"     => "stumbleupon", 
			"Lastfm"          => "lastfm", 
			"Spotify"         => "spotify", 
			"Instagram"       => "instagram", 
			"Dropbox"         => "dropbox", 
			"Evernote"        => "evernote", 
			"Flattr"          => "flattr", 
			"Paypal"          => "paypal", 
			"Picasa"          => "picasa", 
			"Vkontakte"       => "vkontakte", 
			"YouTube"         => "youtube-play", 
			"SoundCloud"      => "soundcloud",
			"Foursquare"      => "foursquare",
			"Delicious"       => "delicious",
			"Forrst"          => "forrst",
			"eBay"            => "ebay",
			"Android"         => "android", 
			"Xing"            => "xing",
			"Reddit"          => "reddit",
			"Digg"            => "digg",
			"Apple App Store" => "macstore",
			"MySpace"         => "myspace",
			"Stack Overflow"  => "stackoverflow",
			"Slide Share"     => "slideshare",
			"Weibo"           => "sina-weibo",
			"Odnoklassniki"   => "odnoklassniki",
			"Telegram"        => "telegram",
			"WhatsApp"        => "whatsapp",
			"Twitch"          => "twitch",
			"Tiktok"          => "tiktok",
			"Snapchat"        => "snapchat",
			"Discord"         => "discord",
			"Slack"           => "slack",

	);
				
 
	#
	# Start
	#    
	function start($v){

		global $rt_social_media_icons;
		$rt_social_media_icons 	= apply_filters("rt_social_media_list", $this->rt_social_media_icons ); 
 
		//global constants
		add_action('registered_taxonomy', array(&$this,'global_constants'));

		// Load text domain
		if( ! is_admin() ){	
			load_theme_textdomain('rt_theme', get_template_directory().'/languages' );
		}

		//Call Theme Constants
		$this->theme_constants($v);	  

		//Load Classes
		$this->load_classes($v);
		
		//Load Functions
		$this->load_functions($v);

		//Create Menus 
		add_action('init', array(&$this,'rt_create_menus'));
				
		//Theme Supports
		$this->theme_supports();


		//check woocommerce
		if ( class_exists( 'Woocommerce' ) ) {
			include(RT_THEMEFRAMEWORKDIR . "/functions/woo-integration.php");
		}
	}
 

	#
	#	Global Constants
	#
	function global_constants($v) {
		if( ! defined( 'RT_FRAMEWOK' ) ) define('RT_FRAMEWOK', TRUE);		
	}   
		
	#
	#	Theme Constants
	#
	
	function theme_constants($v) {
		if( ! defined( 'RT_THEMENAME' ) ) define('RT_THEMENAME', $v['theme']);
		if( ! defined( 'RT_THEMESLUG' ) ) define('RT_THEMESLUG', $v['slug']); // a unique slugname for this theme
		if( ! defined( 'RT_COMMON_THEMESLUG' ) ) define('RT_COMMON_THEMESLUG', "rttheme"); // a common slugnam for all rt-themes
		if( ! defined( 'RT_THEMEVERSION' ) ) define('RT_THEMEVERSION', $this->get_theme_version()); 
		if( ! defined( 'RT_THEMEDIR' ) ) define('RT_THEMEDIR', get_template_directory());
		if( ! defined( 'RT_THEMEURI' ) ) define('RT_THEMEURI', get_template_directory_uri());
		if( ! defined( 'RT_FRAMEWORKSLUG' ) ) define('RT_FRAMEWORKSLUG', 'rt-framework'); 
		if( ! defined( 'RT_THEMEFRAMEWORKDIR' ) ) define('RT_THEMEFRAMEWORKDIR', get_template_directory().'/rt-framework'); 
		if( ! defined( 'RT_THEMEADMINDIR' ) ) define('RT_THEMEADMINDIR', get_template_directory().'/rt-framework/admin');
		if( ! defined( 'RT_THEMEADMINURI' ) ) define('RT_THEMEADMINURI', get_template_directory_uri().'/rt-framework/admin');
		if( ! defined( 'RT_WPADMINURI' ) ) define('RT_WPADMINURI', get_admin_url());
		if( ! defined( 'RT_THEMESTYLE' ) ) define('RT_THEMESTYLE', get_option(RT_THEMESLUG."_style")); 
		if( ! defined( 'RT_EXTENSIONS_PLUGIN' ) ) define('RT_EXTENSIONS_PLUGIN', "RT19_Extensions"); //CLASS NAME
		if( ! defined( 'RT_EXTENSIONS_PLUGIN_NAME' ) ) define('RT_EXTENSIONS_PLUGIN_NAME', "RT-Theme 19 | Extensions Plugin");

		

		// Constants for notifier
		if( ! defined( 'RT_NOTIFIER_THEME_FOLDER_NAME' ) ) define('RT_NOTIFIER_THEME_FOLDER_NAME', 'rttheme19' );  
		if( ! defined( 'RT_NOTIFIER_XML_FILE' ) ) define('RT_NOTIFIER_XML_FILE', 'http://templatemints.com/theme_updates/rttheme19/notifier.xml' ); 
		if( ! defined( 'RT_NOTIFIER_CACHE_INTERVAL' ) ) define('RT_NOTIFIER_CACHE_INTERVAL', 21600 );
		
		//unique theme name for default settings
		if( ! defined( 'RT_UTHEME_NAME' ) ) define('RT_UTHEME_NAME', "RTTHEME19");

		if( ! defined( 'RT_BLOGURL' ) ) define('RT_BLOGURL', apply_filters( 'wpml_home_url', home_url() ) ); 

	}    
	
	#
	#	Load Functions
	#
	
	function load_functions($v) {
		include(RT_THEMEFRAMEWORKDIR . "/functions/common_functions.php");		
		include(RT_THEMEFRAMEWORKDIR . "/functions/rt_comments.php");		
		include(RT_THEMEFRAMEWORKDIR . "/functions/theme_functions.php");
		include(RT_THEMEFRAMEWORKDIR . "/functions/theme_manager.php");
		include(RT_THEMEFRAMEWORKDIR . "/functions/rt_breadcrumb.php");
		include(RT_THEMEFRAMEWORKDIR . "/functions/wpml_functions.php");
		include(RT_THEMEFRAMEWORKDIR . "/functions/custom_styling.php");
		include(RT_THEMEFRAMEWORKDIR . "/functions/rt_resize.php");		
	}

	#
	#	Load Classes
	#
	
	function load_classes($v) {
		global $rt_sidebars_class, $wp_customize;

		//Backend only jobs
		if(is_admin()){		
			require_once (RT_THEMEFRAMEWORKDIR.'/classes/admin.php'); 
			$RTadmin = new RTThemeAdmin();
			$RTadmin->admin_init(); 
		}

		//Customize Panel
		if( is_admin() || $wp_customize ){			
			include(RT_THEMEFRAMEWORKDIR . "/classes/rt_customize_panel.php");  	 	
		}

		//Create Sidebars
		include(RT_THEMEFRAMEWORKDIR . "/classes/sidebar.php");  
		$rt_sidebars_class = new RTThemeSidebar(); 

		//is login or register page		
		$is_login = in_array( $GLOBALS['pagenow'], array( 'wp-login.php', 'wp-register.php' ));

		//Frontend only jobs
		if(!is_admin() && !$is_login){
			require_once (RT_THEMEFRAMEWORKDIR.'/classes/theme.php'); 
			$RTThemeSite = new RTThemeSite();
			$RTThemeSite -> theme_init();
		} 
	
		//Navigation Walker
		include(RT_THEMEFRAMEWORKDIR . "/classes/navigation_walker.php");		
	
		//Common Classes
		include(RT_THEMEFRAMEWORKDIR . "/classes/common_classes.php");   
		
	}    	 

	#
	#	Create WP Menus
	#

	function rt_create_menus() {
		global $wp_customize;

		$layout = get_theme_mod(RT_THEMESLUG.'_layout');
		$layout = empty( $layout ) ? "layout1" : $layout;

		register_nav_menu( 'rt-theme-main-navigation', esc_html__('Main Navigation','rt_theme') ); 
		register_nav_menu( 'rt-theme-footer-navigation', esc_html__('Footer Navigation','rt_theme') );  

		wp_create_nav_menu( esc_html__('Main Navigation','rt_theme'), array( 'slug' => 'rt-theme-main-navigation') );
		wp_create_nav_menu( esc_html__('Footer Navigation','rt_theme'), array( 'slug' => 'rt-theme-footer-navigation') );

		if( $layout != "layout1" || $layout != "layout2" && ! isset( $wp_customize ) ){
			register_nav_menu( 'rt-theme-mobile-navigation', esc_html__('Mobile Navigation','rt_theme') );
			register_nav_menu( 'rt-theme-side-navigation', esc_html__('Side Panel Navigation','rt_theme') ); 
			wp_create_nav_menu( esc_html__('Side Panel Navigation','rt_theme'), array( 'slug' => 'rt-theme-side-navigation') );
		}
		
		if( $layout == "layout4" || isset( $wp_customize) ){
			register_nav_menu( 'rt-theme-second-main-navigation', esc_html__('Second Main Navigation','rt_theme') ); 
			wp_create_nav_menu( esc_html__('Second Main Navigation','rt_theme'), array( 'slug' => 'rt-theme-second-main-navigation') );
		}		
	}

	#
	#	Theme Supports
	#
	 
	function theme_supports(){
 
		//Automatic Feed Links
		add_theme_support( 'automatic-feed-links' );
		
		//Let WordPress manage the document title.
		add_theme_support( 'title-tag' );		
		
		//post thumbnails
		add_theme_support( 'post-thumbnails' ); 

		//Supported Post Formats         
		global $wp_version;
		if (version_compare($wp_version,"3.5.1","<")){
			add_filter( 'enable_post_format_ui', '__return_false' );
		}
				
		//woocommerce support
		add_theme_support( 'woocommerce' );

		//gutenberg
		add_theme_support(
			'gutenberg',
			array( 'wide-images' => true )
		);				

		// Add support for responsive embeds.
		add_theme_support( 'responsive-embeds' );		

		//classic widgets			
		add_filter( 'use_widgets_block_editor', '__return_false' );
	}	


	#
	#	Get Pages as array
	#

	public static function rt_get_pages(){
		  
		// Pages		
		$pages = query_posts('posts_per_page=-1&post_type=page&orderby=title&order=ASC');
		$rt_getpages = array();
		
		if(is_array($pages)){
			foreach ($pages as $page_list ) {
				$rt_getpages[$page_list->ID] = $page_list ->post_title;
			}
		}
		
		wp_reset_query();
		return $rt_getpages;
		
	}


	#
	#	Get Blog Categories - only post categories
	#

	public static function rt_get_categories(){

		if( ! taxonomy_exists("category") ){
			return array();
		}

		// Categories
		$args = array(
			'type'                     => 'post',
			'child_of'                 => 0, 
			'orderby'                  => 'name',
			'order'                    => 'ASC',
			'hide_empty'               => 1,
			'hierarchical'             => 1,  
			'taxonomy'                 => 'category',
			'pad_counts'               => false
			);
		
		
		$categories = get_categories($args);
		$rt_getcat = array();
		
		if(is_array($categories)){
			foreach ($categories as $category_list ) {
				$rt_getcat[$category_list->cat_ID] = $category_list->cat_name;
			}
		}
	
		return $rt_getcat;
	}	

 	/**
	 * Get Theme Version 
	 *
	 * Returns the theme version of orginal theme only not childs
	 * 
	 * @return void
	 */
	public function get_theme_version(){ 

		$theme_data = wp_get_theme(); 
		$main_theme_data = $theme_data->parent(); 

		if( ! empty( $main_theme_data ) ){		
			return $main_theme_data->get("Version");
		}else{		
			return $theme_data->get("Version");
		}
	}	
}


?>